eclipseのdropinsが認識されない

64bitのeclipseに移行した際に、ワークスペースは32bitのやつを再利用したんだが、プラグインがdropinsの認識されない事象に遭遇。

dropinsのプラグインを認識させるには、まず、dropinsのプラグインを避難させてdropinsフォルダを空にする。

空にしたら、ワークスペースを新たに作成して、起動する。
起動したら閉じる。

閉じたら、dropinsフォルダに避難させたプラグインを配置。

新しく作ったワークスペースを開く。

これで認識されました。

ほんとややこしい・・・。

ドットメタデータのせいらしい。。
まぁkwskは暇なときにでもしっかり調べよう。。。

itoサンアリガトウ

ひさandroidのアプリ開発

久々すぎるかつ、PHP+CAKEに慣れすぎてjavaとかマジ不明、、、しかもandroid用のやつは癖が強いからなぁっということで。
初心に返りつつ詰まったことや経過について、ブログに粛々と綴っていこうかと思います。

さっそく適当なモック書いて、起動してみたら。。。

The connection to adb is down, and a severe error has occured.

お。。?
アプリが起動せぇへんがな(☍﹏⁰)

グーグルで翻訳すると
「adbへの接続がダウンしています、そして重大なエラーが発生しました。」

adbてなに。。。
調べるとSDKのシェルらしいく、こいつに何か重大なエラーが (‘ㅅ’c彡☆)╹◡╹)

ぐぐってたら、eclipseのクリーン実行をすればいいらしいという文献を発見。
ここ「http://apps.otometokei.jp/?p=235」

c:\pleiades\eclipse>eclipse.exe -clean.cmd

コマンドでeclipseを起動してアプリをデバッグ実行したら、動きました(^◡^) (;´Д゚(o-(‘ㅅ’o)

いきなりこの調子で不安だわぁん